OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
CargoesRow Struct Reference

A single row of CargoesField. More...

## Public Member Functions
void | ConnectIndustryProduced (int column)
| Connect industry production cargoes to the cargo column after it.
void | MakeCargoLabel (int column, bool accepting)
| Construct a CFT_CARGO_LABEL field.
void | ConnectIndustryAccepted (int column)
| Connect industry accepted cargoes to the cargo column before it.

## Data Fields
CargoesField | columns [5]
| One row of fields.

## Detailed Description

A single row of CargoesField.

Definition at line 1911 of file industry_gui.cpp.

## Member Function Documentation

void CargoesRow::ConnectIndustryAccepted | ( | int | column | ) |
| inline

Connect industry accepted cargoes to the cargo column before it.

Parameters

  column | Column of the industry.

Definition at line 1975 of file industry_gui.cpp.

References HouseSpec::accepts_cargo, IndustrySpec::accepts_cargo, CargoesField::cargo, HouseSpec::cargo_acceptance, CFT_CARGO, CFT_INDUSTRY, columns, CargoesField::ConnectCargo(), HouseSpec::enabled, GetIndustrySpec(), CargoesField::industry, INVALID_CARGO, lengthof, MAX_CARGOES, MemSetT(), NUM_HOUSES, NUM_INDUSTRYTYPES, and CargoesField::type.

void CargoesRow::ConnectIndustryProduced | ( | int | column | ) |
| inline

Connect industry production cargoes to the cargo column after it.

Parameters

  column | Column of the industry.

Definition at line 1918 of file industry_gui.cpp.

References CargoesField::cargo, CFT_CARGO, CFT_INDUSTRY, columns, CargoesField::ConnectCargo(), GetIndustrySpec(), CargoesField::industry, INVALID_CARGO, lengthof, MAX_CARGOES, MemSetT(), NUM_INDUSTRYTYPES, and CargoesField::type.

void CargoesRow::MakeCargoLabel | ( | int | column,
|  | bool | accepting
| ) |  |
| inline

Construct a CFT_CARGO_LABEL field.

Parameters

  column | Column to create the new field.
  accepting | Display accepted cargo (if `false`, display produced cargo).

Definition at line 1954 of file industry_gui.cpp.

References CargoesField::cargo, CFT_CARGO, CFT_EMPTY, columns, CargoesField::ConnectCargo(), INVALID_CARGO, lengthof, CargoesField::MakeCargoLabel(), MAX_CARGOES, MemSetT(), and CargoesField::type.

The documentation for this struct was generated from the following file:

- src/industry_gui.cpp